MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002027Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2016-11-03 14:262017-04-11 19:06
ReporterSeelenio 
Assigned ToPlayer 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionduplicate 
PlatformJavaOSWindowsOS VersionWindows 10
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002027: Cables and maschines don't input or output energy, after a chunk was unloaded and loaded again!
DescriptionEvery time I left the server (or simply if the chunk gots unloaded), every cable and every maschine has to be replaced in order to make them transmit/accept energy again.

The cables also do look kind of weird, cause they are placed next to each other but they wont connect. So they do look like they are only a dot.

After breaking only the cables and place them back down, they connect again to each other but not to the maschines.
Steps To Reproduce1. Connect to your server, that is running IC² on 1.10.2!
2. Place down any IC² maschine and some cables!
3. Left the server and reconnect!
(But wait some time, to make sure the server unloaded the chunk!)
4. Bug ready to be seen!

5. Like explained, you can break everything and put it back down to fix it.
Additional InformationI've tested this with and without other mods installed, so the bug also appears with only IC² installed!
TagsNo tags attached.
Minecraft Version1.10.2
Attached Filespng file icon 2016-11-03_14.07.14.png [^] (552,613 bytes) 2016-11-03 14:26
png file icon 2016-12-12_14.15.17.png [^] (489,495 bytes) 2016-12-12 14:15

- Relationships
duplicate of 0001959feedbackAroma1997 Cables Not Connecting/Loading 

-  Notes
(0004839)
Aroma1997 (developer)
2016-11-03 17:53

What versions are you using?
(0004840)
php (reporter)
2016-11-03 19:19

I can confirm this bug. It happens to me too with the latest 97-ex110 build of IC2. The fastest way to reproduce this bug is on a singleplayer map and to tp to a far away chunk and then back while a machine is running. You'll see that the machine shows to be active, but if you check in the gui the values are all frozen. You can even put the items out and back and the machine progress won't update anymore.

It's like the Tick-System is being halted. I'm not sure but one time even Minecraft furnaces froze when they were in the same chunk like the IC2 machines.
(0004841)
Seelenio (reporter)
2016-11-03 21:21

industrialcraft-2-2.6.96-ex110 - Currently I use this version of IC².
(0004847)
Vorheart (reporter)
2016-11-08 14:40
edited on: 2016-11-08 14:44

This bug happens to me as well, hopefully this helps.
My original multiplayer server was on forge version 1.10.2 12.11.5, and Industrial craft 1.10.2 - 2.6.15 (if I remember correctly). All of the machinery in spawn chunks worked ok.
One of the players reported this issue at one point, but it was fixed by him relogging. Later on he relocated the machinery and problem did not pop up again.

Then three days ago I started a new base some 3500 distance from spawn, and the new machinery was affected by the same bug as in the above picture (with server reporting that 'wires are already placed, aborting.' when I tried to log in near the new machinery). All of the connected machinery and transformers were not connecting as they should either to old or newly placed wires - all of the old wires became singular (no connections). When I removed wires and placed them again, they refused to connect to machines and transformers but would extend towards nearby old wires (which would not extend towards new wires) - all the wires needed to be removed and replaced and all of the machinery also needed to be removed with a wrench and placed again to start connecting and accepting energy from the grid.
Oddly enough, wind generator performed as it's supposed to and kinetic generator received kinetic energy, showed correct electricity generation, but the connected transformer (512->128 MV transformer) refused to connect to wires and forward this energy. The transformers both had to be removed and placed again - MV was connected to kinetic generator and LV transformer down the line connected to machines.

I updated both forge and IC2 to latest version:

Forge: 1.10.2 - 12.18.2.2099
Industrialcraft 2: 2.6.101-ex110.jar

This did not fix the issue, it's still there. When I go away from the machinery and come back after a while, I will often find the whole network segmented with no parts connecting to one another.

I tried placing multiple smaller networks in nearby chunks to see if it was chunk based, but all 4 surrounding chunks had the same problem of wires segmenting. Four out of four chunks seems more like some rule rather than random chance.

When I tried to relog with the client to the server, sometimes some wires would fix themselves, sometimes all of them would fix themselves.

Restarting the server connected parts together properly as well.

All until the next time when I move away from the machinery, when it nearly always disconnects again if I go far out for an extended period of time.

I tried increasing and lowering view distances to see if it would help with anything, but problem remained.


I will try another experiment today with many wires in many chunks at various places around the map to see just how frequently this happens and if it's a near-far thing from the spawn chunks or not. I can include a screenshot next time it happens...

(0004918)
Nymphai (reporter)
2016-12-08 09:13
edited on: 2016-12-08 09:14

Adding to this issue:

I can't believe how few people I see mentioning this. I chatted on IRC FTB and several people knew this was a problem and that there was no current fix or workaround and yet here's a bug that has been reported for over a month and it's still unassigned?

I am unsure what the exact version of Industrialcraft I am using is but it's the version included in FTB Infinity Lite 10.2 (modpack version 1.2.0)

The problem is exactly as Vorheart describes.
One thing to add however. Not only do machines and cables disconnect and stop working until broken and replaced everything, taking a lot of time and making the player lose a ,lot of EU from breaking the MFE / MFSU's, but also, I had a copper insulated cable running from MFE in base to Kinetic Windturbine and not only were cables disconnected, they completely disappeared! Over a length of about 30 blocks no cable to be found anywhere.

Hope this gets the attention it deserves because there's a modpack out there (AND users that downloaded for custom packs) that are rendered with a pack where it's unplayable / Industrialcraft is unusable.

(0004919)
Aroma1997 (developer)
2016-12-08 18:01

The second problem you are naming with the cables disappearing is most likely caused by the kinetic generator emitting High Voltage, while the copper cables can only transfer Medium Voltage, so they disappear, because they can't handle the energy flowing through.
The first problem however is known, and I investigated this a couple of times now, but due to some real-life things, I don't have the time to investigate this more. It will get fixed, once I have some more time again.
(0004928)
Nymphai (reporter)
2016-12-10 05:01
edited on: 2016-12-10 05:04

@Aroma1997
Thanks for your reply!
I should have thought about that (the cables).
But still.. Losing 80% of all energy stored bc of a restart of logging out is not fun to play :). I respect you needing time for yourself though so I wilol be patient and hope for the best (for you too).

Also.. obviously but to be sure you know, upgraded to modpack version 1.3.x (industrialcraft-2-2.6.105-ex110) and problem still persists.

(0004932)
nexitem (reporter)
2016-12-12 14:14
edited on: 2016-12-12 16:28

This is now also happening on my server, strangely enough even after reconnecting and the cables are connected energy is still not transported.

I attached a screenshot of what it looked like before I rejoined.
http://bt.industrial-craft.net/file_download.php?file_id=708&type=bug [^]

Forgot to mention, this is happening on version industrialcraft-2-2.6.105-ex110

(0004933)
BlackMage (reporter)
2016-12-12 15:04

I am also experiencing the bug since updating to industrialcraft-2-2.6.129-ex110
(0004934)
nexitem (reporter)
2016-12-13 08:55
edited on: 2016-12-13 09:22

Sometimes if leaving the server and waiting long enough that the server unloads the chunks the cables might be fixed and work as intended.

Maybe has something to do the way IC2 is loaded? I'm no mod developer I wouldn't know.

(0005019)
php (reporter)
2017-01-17 10:38

Could you please prioritize this issue a little bit more?
As long as this bug exists MC will be unplayable for me.
It's not only the IC-Machines that won't work properly anymore, the whole tick-system doesn't work properly too. At least a workaround would be nice.

As long as IC2 is closed source, we can't do anything ourselves, so please do something about the bigger bugs first before implementing new features. I like new features as much as you do, but I can't enjoy them if the core functionality is unusable.
(0005032)
The_Fireplace (reporter)
2017-01-30 05:12
edited on: 2017-01-30 05:13

I can confirm this as well, it just started happening on my Single Player world.
http://imgur.com/a/FiUoI [^]

It may or may not be related, but it first happened right after the Wooden Rotors in my Wind Turbines broke.

Using IC2 2.6.142-ex110

(0005033)
The_Fireplace (reporter)
2017-01-30 05:21

Logs! I searched the FML log for IC2 and found some information relevant to the issue.
http://paste.ubuntu.com/23891715/ [^]
Hopefully this helps solve this.
(0005126)
EnanoTLL (reporter)
2017-04-09 14:04
edited on: 2017-04-09 14:06

Can confirm for 2.6.194.

It's very annoying to break those every time I go far away or re-enter my world...

(0005142)
Chocohead (developer)
2017-04-11 19:06

Try the version in 0001959:0005139

- Issue History
Date Modified Username Field Change
2016-11-03 14:26 Seelenio New Issue
2016-11-03 14:26 Seelenio File Added: 2016-11-03_14.07.14.png
2016-11-03 17:53 Aroma1997 Note Added: 0004839
2016-11-03 19:19 php Note Added: 0004840
2016-11-03 21:21 Seelenio Note Added: 0004841
2016-11-08 14:40 Vorheart Note Added: 0004847
2016-11-08 14:40 Vorheart Note Edited: 0004847 View Revisions
2016-11-08 14:41 Vorheart Note Edited: 0004847 View Revisions
2016-11-08 14:42 Vorheart Note Edited: 0004847 View Revisions
2016-11-08 14:43 Vorheart Note Edited: 0004847 View Revisions
2016-11-08 14:44 Vorheart Note Edited: 0004847 View Revisions
2016-12-08 09:13 Nymphai Note Added: 0004918
2016-12-08 09:14 Nymphai Note Edited: 0004918 View Revisions
2016-12-08 09:14 Nymphai Note Edited: 0004918 View Revisions
2016-12-08 18:01 Aroma1997 Note Added: 0004919
2016-12-08 18:01 Aroma1997 Relationship added duplicate of 0001959
2016-12-10 05:01 Nymphai Note Added: 0004928
2016-12-10 05:04 Nymphai Note Edited: 0004928 View Revisions
2016-12-12 14:14 nexitem Note Added: 0004932
2016-12-12 14:15 nexitem File Added: 2016-12-12_14.15.17.png
2016-12-12 14:16 nexitem Note Edited: 0004932 View Revisions
2016-12-12 14:17 nexitem Note Edited: 0004932 View Revisions
2016-12-12 15:04 BlackMage Note Added: 0004933
2016-12-12 16:28 nexitem Note Edited: 0004932 View Revisions
2016-12-13 08:55 nexitem Note Added: 0004934
2016-12-13 08:56 nexitem Note Edited: 0004934 View Revisions
2016-12-13 09:22 nexitem Note Edited: 0004934 View Revisions
2017-01-17 10:38 php Note Added: 0005019
2017-01-30 05:12 The_Fireplace Note Added: 0005032
2017-01-30 05:13 The_Fireplace Note Edited: 0005032 View Revisions
2017-01-30 05:21 The_Fireplace Note Added: 0005033
2017-04-09 14:04 EnanoTLL Note Added: 0005126
2017-04-09 14:06 EnanoTLL Note Edited: 0005126 View Revisions
2017-04-11 19:06 Chocohead Note Added: 0005142
2017-04-11 19:06 Chocohead Status new => closed
2017-04-11 19:06 Chocohead Assigned To => Player
2017-04-11 19:06 Chocohead Resolution open => duplicate
2017-04-11 19:06 Chocohead Fixed in Version => Builds for MC 1.10.x


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker